Subscribe
Accepted Solution

WFA 4.1.0RC1 compatible with OCUM 7.0?

I tried to pair the new WFA4.1.0RC1 with OCUM 7.0, but got the error "Workflow Automation service is not running on the host foo.local:443.".

I couldn't find any information about the WFA 4.1 in the IMT. Is this software compatible?

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

Hi,

 

Please refer below documents,

 

https://library.netapp.com/ecm/ecm_download_file/ECMLP2597422

https://library.netapp.com/ecm/ecm_download_file/ECMLP2508935

 

Thanks

If this post resolved your issue, help others by selecting ACCEPT AS SOLUTION or adding a KUDO.

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

I'm also getting the same error with WFA 4.1.0RC1 and OCUM 6.4P1

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

I have the same issue with WFA 4.1.0RC1 running on Linux (RHEL) with the latest version of "WFA pack for managing Clustered Data ONTAP" and OCUM 7.1

 

"wfa-server.service" and "wfa-db.service" and are up and running. 

 

[root@str9-wfa ~]# systemctl status wfa-server
wfa-server.service - LSB: start and stop WFA server
   Loaded: loaded (/etc/rc.d/init.d/wfa-server)
   Active: active (running) since Tue 2017-01-10 16:13:07 GMT; 40min ago
  Process: 3294 ExecStart=/etc/rc.d/init.d/wfa-server start (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/wfa-server.service
           tq3330 /bin/sh /etc/rc.d/init.d/wfa-server start
           tq3331 grep -v ^Picked up
           tq3333 runuser -s /bin/bash root -c ulimit -S -c 0 >/dev/null 2>&1 ; LAUNCH_JBOSS_IN_BACKGROUND=1 JBOSS_PIDFILE=/var/run/wfa/wfa-server.pid /op...
           tq3341 bash -c ulimit -S -c 0 >/dev/null 2>&1 ; LAUNCH_JBOSS_IN_BACKGROUND=1 JBOSS_PIDFILE=/var/run/wfa/wfa-server.pid /opt/netapp/wfa/jboss/bi...
           tq3342 /bin/sh /opt/netapp/wfa/jboss/bin/standalone.sh -c standalone-full.xml
           mq3423 /opt/netapp/wfa/jre/bin/java -D[Standalone] -server -Xmx1094m -Dmysql.port=3306 -Dhttp.port=80 -Dhttps.port=443 -Dsun.rmi.dgc.server.gcI...

Jan 10 16:12:05 str9-wfa systemd[1]: Starting LSB: start and stop WFA server...
Jan 10 16:12:05 str9-wfa runuser[3333]: pam_unix(runuser:session): session opened for user root by (uid=0)
Jan 10 16:13:07 str9-wfa wfa-server[3294]: Starting wfa-server: [  OK  ]
Jan 10 16:13:07 str9-wfa systemd[1]: Started LSB: start and stop WFA server.
[root@str9-wfa ~]#
[root@str9-wfa ~]# systemctl status wfa-db.service
wfa-db.service - LSB: start and stop MySQL(wfa-db) for WFA
   Loaded: loaded (/etc/rc.d/init.d/wfa-db)
   Active: active (running) since Tue 2017-01-10 16:12:05 GMT; 41min ago
  Process: 1532 ExecStart=/etc/rc.d/init.d/wfa-db start (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/wfa-db.service
           tq1931 /bin/sh /opt/netapp/wfa/mysql/bin/mysqld_safe --defaults-file=/opt/netapp/wfa/mysql/my.cnf --datadir=/opt/netapp/wfa/mysql/data --pid-fi...
           mq3266 /opt/netapp/wfa/mysql/bin/mysqld --defaults-file=/opt/netapp/wfa/mysql/my.cnf --basedir=/opt/netapp/wfa/mysql --datadir=/opt/netapp/wfa/...

Jan 10 16:12:03 str9-wfa systemd[1]: Starting LSB: start and stop MySQL(wfa-db) for WFA...
Jan 10 16:12:05 str9-wfa wfa-db[1532]: Starting wfa-db.. SUCCESS!
Jan 10 16:12:05 str9-wfa systemd[1]: Started LSB: start and stop MySQL(wfa-db) for WFA.
[root@str9-wfa ~]#

 

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

I opened a Support Case with NetApp. They confirmed this is a bug in the RC (Bug ID 1058468) and should be fixed in the 4.1.0 GA version.

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

This also exists in WFA 4.1.0RC1 with OCUM 7.1RC1 running on Windows.

 

 

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

So, I had the same error tryng to add OCUM 7.1 integrated with PM 7.1 as a data source.  Another symptom I had was that I could no longer pair clusters from OCUM to PM (both VMware ovas).  This began after upgrading from 6.4 (I think).

 

The fix for both pairing and connecting to WFA 4.1RC1 was to download the full install of OCUM 7.1 and PM 7.1, installing fresh, and now all seemingly works.  It's tedious as I have to repopulate, re-tune alerting, and re-build UM reports.

 

If anyone tries this and has issue with adding the clusters to PM, you may need to delete the old application-record for Performance Manager by going into diag, typing application-record show.

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

When is 4.1 GA release estimated to come out? Also, is there a workaround to make the connection work? Upgrading WFA to 4.1RC1 didn't break. This only happens with new connections of OCUM.

Re: WFA 4.1.0RC1 compatible with OCUM 7.0?

The issue is fixed with OCUM 7.1P1